



<section class="content">
  <div class="login">
    <figure class="fondo w-100 d-block"></figure>
  </div>
  <div class="wrapper">
    <div class="item1">
      <div class="card sombraO brd0 my-2">
        <div class="card-body text-center">
          <div class="row">
            <div class="col-sm-12">

              <form [formGroup]="loginForm" (ngSubmit)="onSubmit()" action="">
                <div class="d-flex justify-content-center">
                  <figure class="logo "></figure>
                </div>
                <div class="my-2">
                  <input formControlName="usuario" type="text" class="form-control "  placeholder="Usuario "
                         [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.usuario.errors }"required />
                  <div   *ngIf="submitted &&  f.usuario.errors" class="invalid-feedback">
                    <div *ngIf="f.usuario.errors.required">El usuario es requerido.</div>
                  </div>
                </div>
                <div class="my-2">
                  <input formControlName="clave" type="password" class="form-control "  placeholder="Contraseña"
                         [ngClass]="{ 'efecto-validacion is-invalid': submitted && f.clave.errors }"required />
                  <div   *ngIf="submitted &&  f.clave.errors" class="invalid-feedback">
                    <div *ngIf="f.clave.errors.required">La contraseña es requerida.</div>
                  </div>
                </div>
                <div class="my-2">
                  <button type="submit" class="form-control btn bCPO text-white" ><span class="font-weight-bold">Iniciar Sesión</span></button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</section>





